Skip to content

Retrieve Password by Mobile API

On the login page, the user clicks Forgot Password and selects retrieve password by mobile. Enter the mobile number, verification code, and new password, pass the image captcha verification, and then call this API. After the call succeeds, return to the login page and log in again.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4

Request Example

json
{
    "mobile": "15201657314",
    "verify_code": "123456",
    "password": "P@sdsdfsdfds"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
mobileMobile numberYesStringMobile number to receive the verification code
verify_codeSMS verification codeYesStringReceived verification code
To obtain the verification code, see Send SMS Verification Code API
type = CHANGE_PWD_SMS
passwordPasswordYesStringNew password to set

Response Example

Success Example

HTTP/1.1 200 OK

json

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "SDK.COMMON.1001",
    "error_msg": "Parameter X-client-id cannot be left blank."
}

Response Parameters

None

BambooCloud IDaaS Open Platform